module.exports = {
    ArgumentMatches: {
        WORD: 'word',
        PREFIX: 'prefix',
        FLAG: 'flag',
        TEXT: 'text',
        CONTENT: 'content',
        REST: 'rest',
        NONE: 'none'
    },
    ArgumentTypes: {
        STRING: 'string',
        LOWERCASE: 'lowercase',
        UPPERCASE: 'uppercase',
        CHAR_CODES: 'charCodes',
        NUMBER: 'number',
        INTEGER: 'integer',
        DYNAMIC: 'dynamic',
        DYNAMIC_INT: 'dynamicInt',
        URL: 'url',
        DATE: 'date',
        COLOR: 'color',
        USER: 'user',
        USERS: 'users',
        MEMBER: 'member',
        MEMBERS: 'members',
        RELEVANT: 'relevant',
        RELEVANTS: 'relevants',
        CHANNEL: 'channel',
        CHANNELS: 'channels',
        TEXT_CHANNEL: 'textChannel',
        TEXT_CHANNELS: 'textChannels',
        VOICE_CHANNEL: 'voiceChannel',
        VOICE_CHANNELS: 'voiceChannels',
        ROLE: 'role',
        ROLES: 'roles',
        EMOJI: 'emoji',
        EMOJIS: 'emojis',
        GUILD: 'guild',
        GUILDS: 'guilds',
        MESSAGE: 'message',
        INVITE: 'invite',
        MEMBER_MENTION: 'memberMention',
        CHANNEL_MENTION: 'channelMention',
        ROLE_MENTION: 'roleMention',
        EMOJI_MENTION: 'emojiMention',
        COMMAND_ALIAS: 'commandAlias',
        COMMAND: 'command',
        INHIBITOR: 'inhibitor',
        LISTENER: 'listener'
    },
    ArgumentSplits: {
        PLAIN: 'plain',
        SPLIT: 'split',
        QUOTED: 'quoted',
        STICKY: 'sticky',
        NONE: 'none'
    },
    AkairoHandlerEvents: {
        LOAD: 'load',
        ADD: 'add',
        REMOVE: 'remove',
        RELOAD: 'reload',
        ENABLE: 'enable',
        DISABLE: 'disable'
    },
    CommandHandlerEvents: {
        MESSAGE_BLOCKED: 'messageBlocked',
        MESSAGE_INVALID: 'messageInvalid',
        COMMAND_DISABLED: 'commandDisabled',
        COMMAND_BLOCKED: 'commandBlocked',
        COMMAND_STARTED: 'commandStarted',
        COMMAND_FINISHED: 'commandFinished',
        COMMAND_COOLDOWN: 'commandCooldown',
        IN_PROMPT: 'inPrompt',
        ERROR: 'error'
    },
    InhibitorHandlerEvents: {},
    ListenerHandlerEvents: {},
    SQLiteHandlerEvents: {
        INIT: 'init',
        ADD: 'add',
        REMOVE: 'remove',
        SET: 'set',
        SAVE: 'save',
        SAVE_ALL: 'saveAll'
    },
    BuiltInReasons: {
        NOT_SELF: 'notSelf',
        CLIENT: 'client',
        BOT: 'bot',
        OWNER: 'owner',
        GUILD: 'guild',
        DM: 'dm',
        CLIENT_PERMISSIONS: 'clientPermissions',
        USER_PERMISSIONS: 'userPermissions'
    }
};
